Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1093393 - [engine-backend] [iSCSI multipath] Required cluster network shouldn't be allowed to be added to an iSCSI multipath bond
Summary: [engine-backend] [iSCSI multipath] Required cluster network shouldn't be allo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Sergey Gotliv
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: 1108174 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-01 15:17 UTC by Elad
Modified: 2016-02-10 17:42 UTC (History)
15 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Bug Fix
Doc Text:
This release introduces a change to the iSCSI multipath bond to block the addition of required networks to the bond. In previous releases, required networks were allowed to be added to the iSCSI multipath bond, and could cause a host to become non-operational even if one of the networks were lost.
Clone Of:
: 1108174 (view as bug list)
Environment:
Last Closed: 2015-02-11 18:01:01 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 26931 master MERGED engine: Improve iSCSI Bond CDA validation Never

Description Elad 2014-05-01 15:17:54 UTC
Description of problem:
When deploying an iSCSI multipath bond, user has to add networks to it as initiators. 
If required networks are added to the bond, it will lead to a situation which the host will be moved to non-operational state if it looses only one of its networks configured in the iSCSI bond. It happens because required networks are mandatory for the cluster and if one of them is down in the host, the host won't be operational, even though it has other active networks.

Version-Release number of selected component (if applicable):
AV7
rhevm-3.4.0-0.15.beta3.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
On a shared DC with 1 active iSCSI storage domain:
1. Create 2 new networks and attach them to the cluster with required check-box checked
2. Attach the networks to the cluster's hosts NICs 
3. Create a new iSCSI multipath bond (under DC tab -> pick the relevant DC -> iSCSI multipath sub-tab -> new) and add the new networks along with the targets to it
4. After the bond is set, shut-down one of the hosts NICs with is attached to one of the network in the multipath bond.


Actual results:
Required networks are possible to be added to the iSCSI multipath bond. It causes to host to become non-operational even though it has connectivity to the storage via its other networks.

Expected results:
Required networks shouldn't be allowed to be added to an iSCSI bond

Comment 2 Elad 2014-07-06 11:01:32 UTC
Required networks are not allowed to be added to an iSCSI bond.

2014-07-06 13:59:38,153 WARN  [org.ovirt.engine.core.bll.storage.AddIscsiBondCommand] (ajp--127.0.0.1-8702-1) [63381f19] CanDoAction of action AddIscsiBond failed. Reasons:VAR__ACTION__ADD,VAR__TYPE__ISCSI_BOND,ACTION_TYPE_FAILED_ISCSI_BOND_NETWORK_CANNOT_BE_REQUIRED

Verified using ovirt-engine-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch

Comment 3 Julie 2014-09-17 11:51:12 UTC
Hi Elad,
    This bug has been flagged for Release Notes. Please select the right Doc Type and provide doc text ASAP for this bug to be included in the 3.5 Beta Manager Release Notes.

Cheers,
Julie

Comment 4 Aharon Canan 2014-09-17 12:21:26 UTC
Allon (or one of his team members) should provide it.

Comment 5 Allon Mureinik 2014-09-18 09:55:41 UTC
(In reply to Aharon Canan from comment #4)
> Allon (or one of his team members) should provide it.
Maor?

Comment 7 errata-xmlrpc 2015-02-11 18:01:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.